Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector:

## Public Member Functions
| addSuggestion (ConfigSuggestion $suggestion)
| Adds a config suggestion to the list. More...
| getSuggestions ()
| Returns all config suggestions. More...
| hasSuggestions ()

## Private Attributes
| $suggestions = []

## Detailed Description

Definition at line 11 of file SuggestionCollector.php.

## Member Function Documentation

## ◆ addSuggestion()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector::addSuggestion | ( | ConfigSuggestion | $suggestion | ) |

Adds a config suggestion to the list.

Parameters

  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion | $suggestion |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface.

Definition at line 21 of file SuggestionCollector.php.

## ◆ getSuggestions()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector::getSuggestions | ( |  | ) |

Returns all config suggestions.

Returns
  \eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\ConfigSuggestion[]

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface.

Definition at line 31 of file SuggestionCollector.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector\$suggestions.

## ◆ hasSuggestions()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector::hasSuggestions | ( |  | ) |

Returns
  bool

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollectorInterface.

Definition at line 39 of file SuggestionCollector.php.

## Member Data Documentation

## ◆ $suggestions

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector::$suggestions = []
| private

Definition at line 14 of file SuggestionCollector.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Suggestion\Collector\SuggestionCollector\getSuggestions().

The documentation for this class was generated from the following file:

- SuggestionCollector.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.